Subject: Comments please (draft-02f)

From: Ian Cooper <[email-masked]>
Date: Wed, 20 Oct 1999 20:36:46 +0100

Attached is the most recent version of the taxonomy + diffs from the
previous.

Given the current level of traffic on the list I'm fishing for *any*
comments you may have.

You'll note that I've got rid of sections 3.2.4.x, since these didn't
seem particularly appropriate to the taxonomy. Let me know if you
disagree and want them back in a re-written form.

I'm also a little unsure of the inclusion of SOCKS as section 8.2. I
think there's been some discussion on that before, but comments at
this point would be useful.

I'll repeat it again, I'm fishing for *any* comments you may have.
Submission cut-off for IETF46 is this Friday.

Ian
5c5
< Expires: April 7, 2000                                      G. Tomlinson
---
> Expires: April 19, 2000                                     G. Tomlinson
9c9
<                                                          October 8, 1999
---
>                                                         October 20, 1999
33c33
<    This Internet-Draft will expire on April 7, 2000.
---
>    This Internet-Draft will expire on April 19, 2000.
55c55
< Melve, et. al.           Expires April 7, 2000                  [Page 1]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 1]
67,69c67,68
<    2.4     Awaiting action  . . . . . . . . . . . . . . . . . . . . .  8
<    2.5     Topological terms  . . . . . . . . . . . . . . . . . . . .  8
<    2.6     Automatic use of proxies . . . . . . . . . . . . . . . . .  9
---
>    2.4     Topological terms  . . . . . . . . . . . . . . . . . . . .  8
>    2.5     Automatic use of proxies . . . . . . . . . . . . . . . . .  8
77c76
<    3.2.3   Inter-Cache  . . . . . . . . . . . . . . . . . . . . . . . 11
---
>    3.2.3   Inter-Cache  . . . . . . . . . . . . . . . . . . . . . . . 12
79,108c78,108
<    3.2.3.2 (Caching) Proxy Clusters . . . . . . . . . . . . . . . . . 12
<    3.2.4   Network Element to Caching Proxy . . . . . . . . . . . . . 13
<    3.2.4.1 Caching Proxies with Transparency  . . . . . . . . . . . . 14
<    3.2.4.2 Out-of-path Transparent Caching Proxies  . . . . . . . . . 15
<    4.      Client to Replica Communication  . . . . . . . . . . . . . 16
<    4.1     Navigation Hyperlinks  . . . . . . . . . . . . . . . . . . 16
<    4.2     URL Redirection  . . . . . . . . . . . . . . . . . . . . . 16
<    4.3     DNS Redirection  . . . . . . . . . . . . . . . . . . . . . 17
<    5.      Inter-Replica Communication  . . . . . . . . . . . . . . . 18
<    5.1     Batch Driven Mirror Replication  . . . . . . . . . . . . . 18
<    5.2     Demand Driven Mirror Replication . . . . . . . . . . . . . 18
<    5.3     Synchronized Replication . . . . . . . . . . . . . . . . . 19
<    6.      Client to Proxy Configuration  . . . . . . . . . . . . . . 20
<    6.1     Manual Proxy Configuration . . . . . . . . . . . . . . . . 20
<    6.2     Proxy Auto Configuration (PAC) . . . . . . . . . . . . . . 20
<    6.3     Cache Array Routing Protocol (CARP) v1.0 . . . . . . . . . 21
<    6.4     Web Proxy Auto-Discovery Protocol (WPAD) . . . . . . . . . 21
<    7.      Inter-Cache Communication  . . . . . . . . . . . . . . . . 23
<    7.1     Loosely coupled Inter-Cache Communication  . . . . . . . . 23
<    7.1.1   Internet Cache Protocol (ICP)  . . . . . . . . . . . . . . 23
<    7.1.2   Hyper Text Caching Protocol (HTCP/0.0) . . . . . . . . . . 23
<    7.1.3   Cache Digest . . . . . . . . . . . . . . . . . . . . . . . 24
<    7.1.4   Cache Pre-filling  . . . . . . . . . . . . . . . . . . . . 25
<    7.2     Tightly Coupled Inter-Cache Communication  . . . . . . . . 26
<    7.2.1   Cache Array Routing Protocol (CARP) v1.0 . . . . . . . . . 26
<    8.      Network Element Communication  . . . . . . . . . . . . . . 27
<    8.1     Web Cache Coordination Protocol (WCCP) . . . . . . . . . . 27
<    8.2     Transparent Proxy Agent Control Protocol (TPACT) . . . . . 27
<    8.3     SOCKS  . . . . . . . . . . . . . . . . . . . . . . . . . . 28
<    9.      Security Considerations  . . . . . . . . . . . . . . . . . 29
---
>    3.2.3.2 (Caching) Proxy Clusters . . . . . . . . . . . . . . . . . 13
>    3.2.4   Network Element to Caching Proxy . . . . . . . . . . . . . 14
>    4.      Client to Replica Communication  . . . . . . . . . . . . . 15
>    4.1     Navigation Hyperlinks  . . . . . . . . . . . . . . . . . . 15
>    4.2     URL Redirection  . . . . . . . . . . . . . . . . . . . . . 15
>    4.3     DNS Redirection  . . . . . . . . . . . . . . . . . . . . . 16
>    5.      Inter-Replica Communication  . . . . . . . . . . . . . . . 17
>    5.1     Batch Driven Mirror Replication  . . . . . . . . . . . . . 17
>    5.2     Demand Driven Mirror Replication . . . . . . . . . . . . . 17
>    5.3     Synchronized Replication . . . . . . . . . . . . . . . . . 18
>    6.      Client to Proxy Configuration  . . . . . . . . . . . . . . 19
>    6.1     Manual Proxy Configuration . . . . . . . . . . . . . . . . 19
>    6.2     Proxy Auto Configuration (PAC) . . . . . . . . . . . . . . 19
>    6.3     Cache Array Routing Protocol (CARP) v1.0 . . . . . . . . . 20
>    6.4     Web Proxy Auto-Discovery Protocol (WPAD) . . . . . . . . . 20
>    7.      Inter-Cache Communication  . . . . . . . . . . . . . . . . 22
>    7.1     Loosely coupled Inter-Cache Communication  . . . . . . . . 22
>    7.1.1   Internet Cache Protocol (ICP)  . . . . . . . . . . . . . . 22
>    7.1.2   Hyper Text Caching Protocol (HTCP/0.0) . . . . . . . . . . 22
>    7.1.3   Cache Digest . . . . . . . . . . . . . . . . . . . . . . . 23
>    7.1.4   Cache Pre-filling  . . . . . . . . . . . . . . . . . . . . 24
>    7.2     Tightly Coupled Inter-Cache Communication  . . . . . . . . 25
>    7.2.1   Cache Array Routing Protocol (CARP) v1.0 . . . . . . . . . 25
>    8.      Network Element Communication  . . . . . . . . . . . . . . 26
>    8.1     Web Cache Coordination Protocol (WCCP) . . . . . . . . . . 26
>    8.2     SOCKS  . . . . . . . . . . . . . . . . . . . . . . . . . . 26
>    9.      Security Considerations  . . . . . . . . . . . . . . . . . 28
>    9.1     Authentication . . . . . . . . . . . . . . . . . . . . . . 28
>    9.1.1   Man in the middle attacks  . . . . . . . . . . . . . . . . 28
>    9.1.2   Trusted third party  . . . . . . . . . . . . . . . . . . . 28
>    9.1.3   Authentication based on IP number  . . . . . . . . . . . . 29
111c111
< Melve, et. al.           Expires April 7, 2000                  [Page 2]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 2]
116,132c116,128
<    9.1     Authentication . . . . . . . . . . . . . . . . . . . . . . 29
<    9.1.1   Man in the middle attacks  . . . . . . . . . . . . . . . . 29
<    9.1.2   Trusted third party  . . . . . . . . . . . . . . . . . . . 29
<    9.1.3   Authentication based on IP number  . . . . . . . . . . . . 30
<    9.2     Privacy  . . . . . . . . . . . . . . . . . . . . . . . . . 30
<    9.2.1   Trusted third party  . . . . . . . . . . . . . . . . . . . 30
<    9.2.2   Logs and legal implications  . . . . . . . . . . . . . . . 30
<    9.3     Service security . . . . . . . . . . . . . . . . . . . . . 31
<    9.3.1   Denial of service  . . . . . . . . . . . . . . . . . . . . 31
<    9.3.2   Replay attack  . . . . . . . . . . . . . . . . . . . . . . 31
<    9.3.3   Stupid configuration of proxies  . . . . . . . . . . . . . 31
<    9.3.4   Copyrighted transient copies . . . . . . . . . . . . . . . 31
<    9.3.5   Application level access . . . . . . . . . . . . . . . . . 31
<    10.     Acknowledgements . . . . . . . . . . . . . . . . . . . . . 32
<            References . . . . . . . . . . . . . . . . . . . . . . . . 33
<            Authors' Addresses . . . . . . . . . . . . . . . . . . . . 34
<            Full Copyright Statement . . . . . . . . . . . . . . . . . 36
---
>    9.2     Privacy  . . . . . . . . . . . . . . . . . . . . . . . . . 29
>    9.2.1   Trusted third party  . . . . . . . . . . . . . . . . . . . 29
>    9.2.2   Logs and legal implications  . . . . . . . . . . . . . . . 29
>    9.3     Service security . . . . . . . . . . . . . . . . . . . . . 30
>    9.3.1   Denial of service  . . . . . . . . . . . . . . . . . . . . 30
>    9.3.2   Replay attack  . . . . . . . . . . . . . . . . . . . . . . 30
>    9.3.3   Stupid configuration of proxies  . . . . . . . . . . . . . 30
>    9.3.4   Copyrighted transient copies . . . . . . . . . . . . . . . 30
>    9.3.5   Application level access . . . . . . . . . . . . . . . . . 30
>    10.     Acknowledgements . . . . . . . . . . . . . . . . . . . . . 31
>            References . . . . . . . . . . . . . . . . . . . . . . . . 32
>            Authors' Addresses . . . . . . . . . . . . . . . . . . . . 33
>            Full Copyright Statement . . . . . . . . . . . . . . . . . 35
167c163,167
< Melve, et. al.           Expires April 7, 2000                  [Page 3]
---
> 
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                 [Page 3]
223c223
< Melve, et. al.           Expires April 7, 2000                  [Page 4]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 4]
279c279
< Melve, et. al.           Expires April 7, 2000                  [Page 5]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 5]
335c335
< Melve, et. al.           Expires April 7, 2000                  [Page 6]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 6]
340c340,344
<       and "outbound" means "traveling toward the user agent"
---
>       and "outbound" means "traveling toward the user agent".
> 
>    network element 
>       A network device that introduces multiple paths between source
>       and destination, transparent to HTTP.
356,359c360
<       to servers
< 
<       The following colloquial terms are also used to refer to caching
<       proxies: 
---
>       to servers.
361,363c362,364
<       *  proxy
< 
<       *  cache
---
>       Caching proxies are often referred to as "proxy caches" or simply
>       "caches". The term "proxy" is also observed to be used for
>       caching proxies.
383c384
<       server; the overall master copy of the content, if any
---
>       server; the overall master copy of the content, if any.
389d389
<    browser 
392c392
< Melve, et. al.           Expires April 7, 2000                  [Page 7]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 7]
396a397
>    browser 
400,409c401
< 2.4 Awaiting action
< 
<    A placeholder for terms that need to be considered/deleted/moved 
< 
<    network element 
<       A network device that introduces multiple paths between source
<       and destination, transparent to HTTP.
<       [Ed note; IAN: This term probably needs a better name.]
< 
< 2.5 Topological terms
---
> 2.4 Topological terms
415c407
<       The cache within the user agent program
---
>       The cache within the user agent program.
418c410
<       The caching proxy a user agent connects to [Ed note; IAN: should
---
>       The caching proxy a user agent connects to. [Ed note; IAN: should
432,436c424,425
<       partitioning the URL name space across the array. Also known as: 
< 
<       *  diffused array
< 
<       *  cache cluster
---
>       partitioning the URL name space across the array. Also known as
>       "diffused array" or "cache cluster".
442c431,433
<       Section 7)
---
>       Section 7).
> 
> 2.5 Automatic use of proxies
443a435,439
>    Network administrators may wish to facilitate the use of proxies
>    (typically caching proxies) by clients,  enabling such configuration
>    within the network itself or within automatic systems within user
>    agents such that the user need not be aware of any such
>    configuration issues.
444a441
>    The terms that describe such configurations are given below. 
445a443,445
>    automatic user-agent proxy configuration 
>       The technique of discovering the availability of one or more
>       proxies and the automated configuration of the client to use
448c448
< Melve, et. al.           Expires April 7, 2000                  [Page 8]
---
> Melve, et. al.           Expires April 19, 2000                 [Page 8]
453,469c453,454
< 2.6 Automatic use of proxies
< 
<    Moves to insert proxies into the network in a manner such at the
<    content consumer is unaware of their presence has created a set of
<    terms whose definitions may not be consistent with other uses.  This
<    section references prior definitions but also gives their meaning in
<    the realm of Web caching.
< 
<    proxy discovery 
<       The discovery and configuration for use of a proxy in an
<       environment where the content consumer may be unaware of the
<       proxy's existence.  The use of the proxy is transparent to the
<       content consumer, but not to the client.
< 
<    [Ed note; IAN: should we consider the ability of proxies to discover
<    each other?  Would this be better titled as "transparent proxy
<    configuration"?
---
>       them. The use of a proxy is transparent to the user but not to
>       the client.
473c458
<       to determine whether it should be redirected
---
>       to determine whether it should be redirected.
476,480c461,466
<       Redirection of traffic from a user agent or network element to a
<       specific proxy, following its interception. Used to deploy
<       Web-caching without the need to manually reconfigure individual
<       user agents, or to force the use of a proxy where such use would
<       not otherwise occur
---
>       Redirection of client requests from a network element performing
>       traffic interception to a proxy. Used to deploy (caching) proxies
>       without the need to manually reconfigure individual user agents,
>       or to force the use of a proxy where such use would not otherwise
>       occur. The use of any proxy is transparent to both user and
>       client.
487,491c473,488
<       is transparent to the client.  Due to a conflicting definition in
<       [6], caution should be exercised when referring to a "transparent
<       proxy". As stated above, it is recommended that the phrase
<       "transparent proxy" is prepended with appropriate terminology to
<       avoide confusion.
---
>       is transparent to both user and client.  Due to a conflicting
>       definition in [6], caution should be exercised when referring to
>       a "transparent proxy". As stated above, it is recommended that
>       the phrase "transparent proxy" is prepended with appropriate
>       terminology to avoid confusion.
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
504c501,504
< Melve, et. al.           Expires April 7, 2000                  [Page 9]
---
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                 [Page 9]
523,524c523,525
<    well as with master origin servers (or in a non-replicated
<    environment directly with the origin server).
---
>    well as with master origin servers. (In the absense of replica
>    servers the client interacts directly with the origin server as is
>    the normal case.)
527c528
<                        Persistent Domain
---
>                                 Persistent Domain
542c543,544
<    Protocols used in this relationship can be found in Section 4.
---
>    Protocols used to enable the client to use one of the replicas can
>    be found in Section 4.
551,556d552
<                       Persistent Domain
<                          Complete Idem-Potent Set Replication
<        ------------------     -----------------     ------------------
<        | Replica Origin |-----| Master Origin |-----| Replica Origin |
<        |     Server     |     |    Server     |     |     Server     |
<        ------------------     -----------------     ------------------
560c556,560
< Melve, et. al.           Expires April 7, 2000                 [Page 10]
---
> 
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 10]
564a565,571
>                       Persistent Domain
>                          Complete Idem-Potent Set Replication
>        ------------------     -----------------     ------------------
>        | Replica Origin |-----| Master Origin |-----| Replica Origin |
>        |     Server     |     |    Server     |     |     Server     |
>        ------------------     -----------------     ------------------
> 
602a610,642
>    A client or proxy may communicate with zero or more surrogates for
>    requests intended for one or more origin servers. Where a surrogate
>    is not available, the client may communicate directly with an origin
>    server.
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 11]
> 
> Internet-Draft               WREC Taxonomy                  October 1999
> 
> 
>                                -----------------
>                                |    Client     |
>                                |               |
>                                -----------------
>                                        |
>                                        |
>                                -----------------
>                                |   Surrogate   |
>                                |               |
>                                -----------------
>                                /      |        \
>                               /       |         \
>                              /        |          \
>                             /         |           \
>                            /          |            \
>                           /           |             \
>         ------------------     -----------------     ------------------
>         |     Origin     |     |    Origin     |     |     Origin     |
>         |     Server     |     |    Server     |     |     Server     |
>         ------------------     -----------------     ------------------
> 
> 
611a652,662
> 3.2.3.1 (Caching) Proxy Meshes
> 
>    Within a loosely coupled mesh of (caching) proxies, communication
>    can happen at the same level, between siblings, and with one or more
>    parents.
> 
> 
> 
> 
> 
> 
616,618d666
< Melve, et. al.           Expires April 7, 2000                 [Page 11]
< 
< Internet-Draft               WREC Taxonomy                  October 1999
621d668
< 3.2.3.1 (Caching) Proxy Meshes
623,625c670,675
<    Within a loosely coupled mesh of (caching) proxies, communication
<    can happen at the same level, between siblings, and with one or more
<    parents.
---
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 12]
> 
> Internet-Draft               WREC Taxonomy                  October 1999
> 
663a714,722
>                                 +--------------------+
>                            +--------------------+    |
>                        +-------------------+    |    |
>                        |  (Caching) Proxy  |    |----+
>                        |      Array        |----+ ^ ^
>                        +-------------------+ ^ ^  | |
>                            ^            ^    | |--+ |
>                            |            +----+      |
>                            +------------------------+
665a725
>    Protocols used in this relationship can be found in Section 7.2.
668,672c728
< 
< 
< 
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 12]
---
> Melve, et. al.           Expires April 19, 2000                [Page 13]
677,689d732
<                                      +--------------------+
<    	    	             +--------------------+    |
<                             +-------------------+    |    |
<                             |  (Caching) Proxy  |    |----+
<           	       	       	 |    	Array        |----+ ^ ^
<           	       	         +-------------------+ ^ ^  | |
<                                 ^	       	  ^    | |--+ |
<                                 |            +----+      |
<                                 +------------------------+
< 
< 
<    Protocols used in this relationship can be found in Section 7.2.
< 
705,735d747
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 13]
< 
< Internet-Draft               WREC Taxonomy                  October 1999
< 
< 
<    [Ed note; Should this diagram be re-drawn to show a proper "array"?]
< 
< 
756c768,776
<    Protocols used in this relationship can be found in Section 8.
---
>    The network transparent (caching) proxy may be directly in-line of
>    the flow of traffic - in which case the intercepting network element
>    and network transparent proxy form parts of the same hardware system
>    - or may be out-of-path, requiring the intercepting network element
>    to redirect traffic over another network segment. In this latter
>    case, communication protocols enable the intercepting network
>    element to stop and start redirecting traffic when the network
>    transparent proxy becomes (un)available. Details of these protocols
>    can be found in Section 8.
758d777
< 3.2.4.1 Caching Proxies with Transparency
760,763d778
<    [Ed note: Currently contains citations from NetApp document, need
<    rewording to avoid specific products and concentrate on generic
<    properties. Explain network elements and NATs and other ways
<    interception may happen. Intro to usage and "normal" setup.]
765,766d779
<    Reference [1][2][3][4] for introduction to caching proxies with
<    transparency.
768,770d780
<    The goal of intercepting web traffic is to provide a transparent web
<    proxy, thus avoiding the hassle of individually configuring each
<    client.
772,781d781
<    Transparency means that the user does not need to be aware of the
<    proxy.
< 
<    The origin server see connections coming from the proxy, not from
<    the individual end user. Authentication based on client IP address
<    do not work if there is a transparent proxy cache in the way to the
<    web server.
< 
<    A web cache is said to be transparent if clients can access the
<    cache without the need to configure their browsers, using either a
784,840c784
< Melve, et. al.           Expires April 7, 2000                 [Page 14]
< 
< Internet-Draft               WREC Taxonomy                  October 1999
< 
< 
<    proxy auto-configuration URL or a manual proxy setting. Transparent
<    caches appear as a seamless part of the network infrastructure,
<    rather than a set of discrete proxy servers, and function much like
<    a transparent firewall. Many ISPs and carriers desire transparent
<    caches because it lets them retrofit their network with caching
<    without action at the client. However, when deployed transparently,
<    a web cache must be as fail-safe and scalable as the rest of the
<    network. [2]
< 
<    A transparent cache acts much like a gateway or firewall -- it
<    effectively sits between the users and the network. The advantage of
<    transparent caching is that it eliminates the need to configure
<    browsers to use caching. Another strength (and sometimes a weakness)
<    is that it is impossible to bypass caching. [2]
< 
<    Conceptually, transparency works by modifying the TCP/IP stack of a
<    cache so that it operates in "promiscuous mode" and effectively
<    binds itself to all possible IP addresses. [2]
< 
<    We need to give a far more abstract definition which includes the
<    way that router and switch redirection, and within-router action,
<    operate.
< 
<    Comment on some of the problems: 
< 
<    o  limited number of ports which can be captured
< 
<    o  due to "unexpected" data on other ports (or even on well known
<       ports), as experienced by setting up various services on port 80
< 
<    o  well known problems with use of HTTP for transport[18]
< 
< 3.2.4.2 Out-of-path Transparent Caching Proxies
< 
<    An Out-of-path Transparent Caching Proxy performs the same proxy and
<    caching functions as a Transparent Caching Proxy and is similarly
<    transparent to the client. However it does not lie on the forwarding
<    path between a client and a server and does not perform web traffic
<    interception. Instead it relies upon a redirecting network element
<    in the path between client and server to intercept and redirect web
<    traffic to it. One advantage of this method of transparent caching
<    is that in the case of cache failure the network element can,
<    providing it monitors the state of the caches, revert to forwarding
<    web traffic direct to the server. It is also possible for the
<    network element to distribute the web traffic load across a group of
<    caches. This method of transparent caching generally requires a
<    protocol to be run between the redirecting network element and the
<    cache or caches.
< 
< 
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 15]
---
> Melve, et. al.           Expires April 19, 2000                [Page 14]
896c840
< Melve, et. al.           Expires April 7, 2000                 [Page 16]
---
> Melve, et. al.           Expires April 19, 2000                [Page 15]
952c896
< Melve, et. al.           Expires April 7, 2000                 [Page 17]
---
> Melve, et. al.           Expires April 19, 2000                [Page 16]
1008c952
< Melve, et. al.           Expires April 7, 2000                 [Page 18]
---
> Melve, et. al.           Expires April 19, 2000                [Page 17]
1064c1008
< Melve, et. al.           Expires April 7, 2000                 [Page 19]
---
> Melve, et. al.           Expires April 19, 2000                [Page 18]
1097,1098d1040
<    [Ed note: Does it really need to be submitted for Informational RFC?]
< 
1100,1102c1042,1043
<       No RFC published, no Internet-Draft Navigator Proxy Auto-Config
<       File Format[7]. Available from
<       http://home.netscape.com/eng/mozilla/2.0/relnotes/demo/proxy-live.html[24]
---
>       No RFC published, no Internet-Draft; Navigator Proxy Auto-Config
>       File Format[7]. 
1119a1061,1063
>       the script, and this may lead to undesired effects.
> 
>    Deployment: 
1122c1066
< Melve, et. al.           Expires April 7, 2000                 [Page 20]
---
> Melve, et. al.           Expires April 19, 2000                [Page 19]
1127,1129d1070
<       the script, and this may lead to undesired effects.
< 
<    Deployment: 
1137,1139d1077
<    [Ed note: Current draft expired. A new draft must submitted and this
<    section completed for this protocol to be considered in the Taxonomy]
< 
1141,1142c1079,1081
<       Expired Internet-Draft draft-vinod-carp-v1-03.txt Work in
<       progress.
---
>       Expired Internet-Draft: draft-vinod-carp-v1-03.txt[9]
> 
>       Note: Reference kept since there is known deployment.
1153a1093
>       Document editors. 
1158,1159c1098
<       Internet Draft <draft-ietf-wrec-wpad-00.txt> [Ed note; I-D
<       submission anticipated by 6/25/99] Work in progress.
---
>       Internet-Draft: draft-ietf-wrec-wpad-00.txt[8]
1179,1184d1117
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 21]
< 
< Internet-Draft               WREC Taxonomy                  October 1999
< 
< 
1190a1124,1129
> 
> Melve, et. al.           Expires April 19, 2000                [Page 20]
> 
> Internet-Draft               WREC Taxonomy                  October 1999
> 
> 
1236c1175,1181
< Melve, et. al.           Expires April 7, 2000                 [Page 22]
---
> 
> 
> 
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 21]
1252c1197,1199
<    See [10][11][12][13][14]
---
>    See RFC2186[10],Expired Internet-Draft
>    draft-lovric-icp-ext-01.txt[12], ICP development[13], ICP1.4
>    specification[14].
1255c1202
<       RFC 2186 Internet Cache Protocol (ICP), version 2
---
>       RFC 2186 Internet Cache Protocol (ICP), version 2[10]
1261,1264c1208,1212
<       ICP uses UDP. Since UDP is unreliable, an estimate of network
<       congestion and availability may be calculated by ICP loss. This
<       rudimentary loss measurement does, together with round trip times
<       provide a load balancing method for caches.
---
>       ICP uses UDP. Since UDP is an uncorrected network transport
>       protocol, an estimate of network congestion and availability may
>       be calculated by ICP loss. This rudimentary loss measurement
>       does, together with round trip times provide a load balancing
>       method for caches.
1285,1286d1232
<    See [23]
< 
1291d1236
<    Authoritative reference: 
1294c1239
< Melve, et. al.           Expires April 7, 2000                 [Page 23]
---
> Melve, et. al.           Expires April 19, 2000                [Page 22]
1299c1244,1245
<       Internet Draft draft-vixie-htcp-proto-05.txt, Work in Progress
---
>    Authoritative reference: 
>       Internet-Draft: draft-vixie-htcp-proto-05.txt[23]
1325,1326c1271,1272
<       No RFC published, no Internet-Draft Cache Digest specification
<       http://squid.nlanr.net/Squid/CacheDigest/ cache-digest-v5.txt
---
>       No RFC published, no Internet-Draft; Cache Digest specification
>       http://squid.nlanr.net/Squid/CacheDigest/cache-digest-v5.txt[22],
1349d1294
<       Digests.
1352c1297
< Melve, et. al.           Expires April 7, 2000                 [Page 24]
---
> Melve, et. al.           Expires April 19, 2000                [Page 23]
1354d1298
< 
1357a1302,1303
>       Digests.
1384,1385d1329
<    See [21]
< 
1387,1388c1331,1332
<       Internet Draft <draft-lovric-francetelecom-satellites-00.txt>
<       Work in progress.
---
>       Expired Internet-Draft:
>       draft-lovric-francetelecom-satellites-00.txt[21]
1411c1355,1356
< Melve, et. al.           Expires April 7, 2000                 [Page 25]
---
> 
> Melve, et. al.           Expires April 19, 2000                [Page 24]
1420,1424d1364
<    [9]
< 
<    [Ed note: Current draft expired. A new draft must submitted and this
<    section completed for this protocol to be considered in the Taxonomy]
< 
1426c1366,1368
<       Work in Progress: Internet-Draft draft-vinod-carp-v1-03.txt
---
>       Expired Internet-Draft: draft-vinod-carp-v1-03.txt[9]
> 
>       Note: Reference kept since there is known deployment.
1468c1410,1414
< Melve, et. al.           Expires April 7, 2000                 [Page 26]
---
> 
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 25]
1483,1484c1429
<       Internet Draft <draft-ietf-wrec-web-pro-00.txt> [16] Work in
<       progress.
---
>       Internet-Draft: draft-ietf-wrec-web-pro-00.txt[16]
1507,1541c1452
< 8.2 Transparent Proxy Agent Control Protocol (TPACT)
< 
<    Authoritative reference: [Ed note; anticipated submission] 
<       Internet Draft <draft-ietf-wrec-tpact-00.txt> [20] [Ed note; I-D
<       submission anticipated by 6/25/99] Work in progress.
< 
<    Description: 
<       TPACT runs between a network elements (router or switch)
<       functioning as a redirecting network element and out-of-path
<       transparent caching proxies. The protocol allows one or more
<       caching proxies to register themselves with a single network
<       element to receive redirected web traffic. All of the
<       participating caching proxies operate as a quorum in the
<       diectating of web traffic distribution across the group.
< 
< 
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 27]
< 
< Internet-Draft               WREC Taxonomy                  October 1999
< 
< 
<    Security: 
<       MD5 is optionally employed for authentication. Sequence numbers
<       are employed as security against replay attacks.
< 
<    Deployment: 
<       Network elements: TPACT is prototyped and being evaluated on
<       multiple vendor L4 switches.  Caching proxies: TPACT is
<       prototyped and being evaluated on multiple vendor caches.
< 
<    Submitter: 
<       John Martin, Network Appliance, [email-masked]
< 
< 8.3 SOCKS
---
> 8.2 SOCKS
1544c1455
<       RFC1928 SOCKS Protocol Version 5 [17]
---
>       RFC1928 SOCKS Protocol Version 5[17]
1556a1468,1474
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 26]
> 
> Internet-Draft               WREC Taxonomy                  October 1999
> 
> 
1580c1498,1526
< Melve, et. al.           Expires April 7, 2000                 [Page 28]
---
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 27]
1636c1582
< Melve, et. al.           Expires April 7, 2000                 [Page 29]
---
> Melve, et. al.           Expires April 19, 2000                [Page 28]
1692c1638
< Melve, et. al.           Expires April 7, 2000                 [Page 30]
---
> Melve, et. al.           Expires April 19, 2000                [Page 29]
1748c1694
< Melve, et. al.           Expires April 7, 2000                 [Page 31]
---
> Melve, et. al.           Expires April 19, 2000                [Page 30]
1804c1750
< Melve, et. al.           Expires April 7, 2000                 [Page 32]
---
> Melve, et. al.           Expires April 19, 2000                [Page 31]
1811,1812c1757,1759
<    [1]  Wessels, D., "Squid FAQ: Transparent Caching/Proxying.", July
<         1999.
---
>    [1]  Wessels, D., "Squid FAQ: Transparent Caching/Proxying.",
>         External resource
>         http://www.squid-cache.org/Doc/FAQ/FAQ-17.html, October 1999.
1815c1762,1763
<         Web Caching", July 1999.
---
>         Web Caching", External reference
>         http://www.netapp.com/technology/level3/3033.html, October 1999.
1817c1765,1766
<    [3]  Williams, B., "Transparent Web Caching Solutions.", July 1999.
---
>    [3]  Williams, B., "Transparent Web Caching Solutions.", External
>         reference available from Alteon Networks, May 1999.
1819,1820c1768,1769
<    [4]  Hain, T., "Architectural Implications of NAT (Work in
<         Progress).", July 1999.
---
>    [4]  Hain, T., "Architectural Implications of NAT", Internet Draft
>         draft-iab-nat-implementations-04.txt, April 1999.
1830,1831c1779,1782
<    [7]  Netscape, Inc., "Navigator Proxy Auto-Config File Format.",
<         July 1999.
---
>    [7]  Netscape, Inc., "Navigator Proxy Auto-Config File Format",
>         External reference
>         http://www.netscape.com/eng/mozilla/2.0/relnotes/demo/proxy-live.html
>         , March 1996.
1834c1785,1786
<         Proxy Auto-Discovery Protocol (work in progress)", June 1999.
---
>         Proxy Auto-Discovery Protocol", Internet Draft
>         draft-ietf-wrec-wpad-01.txt, July 1999.
1836,1837c1788,1789
<    [9]  Valloppppillil, V. and K.W. Ross, "Cache Array Routing Protocol
<         (work in progress)", January 1999.
---
>    [9]  Valloppillil, V. and K.W. Ross, "Cache Array Routing Protocol",
>         Internet Draft draft-vinod-carp-v1-03.txt, January 1999.
1845,1846c1797,1798
<    [12]  Lovric, I., "Internet Cache Protocol Extension (work in
<          progress)", January 1999.
---
>    [12]  Lovric, I., "Internet Cache Protocol Extension", Internet
>          Draft draft-lovric-icp-ext-01.txt, January 1999.
1848c1800,1801
<    [13]  Wessels, D., "ICP Home Page", January 1999.
---
>    [13]  Wessels, D., "ICP Home Page", External reference
>          http://ircache.nlanr.net/Cache/ICP/, July 1999.
1850,1851c1803
<    [14]  University of Southern California and  , "Internet Cache
<          Protocol Specification 1.4", September 1994.
---
>    [14]  University of Southern California and University of
1853,1857d1804
<    [15]  Berners-Lee, T., Fielding, R. and H. Frystyk, "Hypertext
<          Transfer Protocol -- HTTP/1.0", RFC 1945, May 1996.
< 
<    [16]  Cisco Systems, "Cisco Web Cache Coordination Protocol V1.0
<          (work in progress)", January 1999.
1859,1860c1806
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 33]
---
> Melve, et. al.           Expires April 19, 2000                [Page 32]
1865c1811,1813
<    [17]  "SOCKS Protocol Version 5", RFC 1928, January 1999.
---
>          Colorado-Boulder, "Internet Cache Protocol Specification 1.4",
>          External reference http://excalibur.usc.edu/icpdoc/icp.html,
>          September 1994.
1867,1868c1815,1816
<    [18]  Moore, K., "On the use of HTTP as a Substrate for Other
<          Protocols (work in progress)", January 1999.
---
>    [15]  Berners-Lee, T., Fielding, R. and H. Frystyk, "Hypertext
>          Transfer Protocol -- HTTP/1.0", RFC 1945, May 1996.
1870,1871c1818,1822
<    [19]  Brisco, T., "DNS Support for Load Balancing", RFC 1794,
<          January 1999.
---
>    [16]  Cisco Systems, "Cisco Web Cache Coordination Protocol V1.0",
>          Internet Draft draft-ietf-wrec-web-pro-00.txt, June 1999.
> 
>    [17]  Leech, M., Ganis, M., Lee, Y., Kuris, R., Koblas, D. and L.
>          Jones, "SOCKS Protocol Version 5", RFC 1928, March 1996.
1873c1824,1825
<    [20]  "Transparent Proxy Agent Control Protocol (work in progress)",
---
>    [18]  Moore, K., "On the use of HTTP as a Substrate for Other
>          Protocols", Internet Draft draft-iesg-using-http-00.txt,
1876,1877c1828,1836
<    [21]  "Pre-filling a cache - A satellite overview (work in
<          progress).", January 1999.
---
>    [19]  Brisco, T., "DNS Support for Load Balancing", RFC 1794, April
>          1995.
> 
>    [20]  "Transparent Proxy Agent Control Protocol", Internet Draft
>          draft-ietf-wrec-tpact-00.txt, January 1999.
> 
>    [21]  Goutard, C., Lovric, I. and E. Maschio-Esposito, "Pre-filling
>          a cache - A satellite overview", Internet Draft
>          draft-lovric-francetelecom-satellites-00.txt, February 1999.
1880c1839,1841
<          specification - version 5", December 1998.
---
>          specification - version 5", External reference
>          http://squid.nlanr.net/CacheDigest/cache-digest-v5.txt,
>          December 1998.
1883,1885c1844,1845
<          (HTCP/0.0)  (work in progress)", August 1999.
< 
<    [24]  http://home.netscape.com/eng/mozilla/2.0/relnotes/demo/proxy-live.html
---
>          (HTCP/0.0)", Internet Draft draft-vixie-htcp-proto-05.txt,
>          August 1999.
1897a1858,1866
> 
> 
> 
> 
> Melve, et. al.           Expires April 19, 2000                [Page 33]
> 
> Internet-Draft               WREC Taxonomy                  October 1999
> 
> 
1907,1920d1875
< 
< 
< 
< 
< 
< 
< 
< 
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 34]
< 
< Internet-Draft               WREC Taxonomy                  October 1999
< 
< 
1923,1924c1878,1879
<    18 Commerce Way
<    Suite 4800
---
>    49 Dragon Court
>    2nd floor
1963,1972c1918
< 
< 
< 
< 
< 
< 
< 
< 
< 
< Melve, et. al.           Expires April 7, 2000                 [Page 35]
---
> Melve, et. al.           Expires April 19, 2000                [Page 34]
2028c1974
< Melve, et. al.           Expires April 7, 2000                 [Page 36]
---
> Melve, et. al.           Expires April 19, 2000                [Page 35]

---

From: Alex Rousskov <[email-masked]>
Date: Wed, 20 Oct 1999 14:08:41 -0600 (MDT)

> Given the current level of traffic on the list I'm fishing for *any*

	7.1.3 Cache Digest

	   [Ed note: Does it really need to be submitted for Informational RFC?]

The short answer to your question is "maybe". The long answer is that we
are working on some major revisions and do not want to publish an
Informational RFC before those revisions are completed. There is little
benefit from publishing an Informational RFC (we already have an
Internet Draft-like specs on our Web site). However, there is a lot of
harm if people suddenly rush into implementing something that should be
fixed/changed first.

> I'll repeat it again, I'm fishing for *any* comments you may have.

I would suggest to replacing the [Ed note] above with something like
"Cache Digests may eventually be submitted to IETF as an RFC" or nothing
at all.

Thanks,

Alex.

---

From: Duane Wessels <[email-masked]>
Date: Wed, 20 Oct 1999 14:38:04 -0600

>     ICP suffer from all the security problems of UDP.

	suffers

>7.1.2 Hyper Text Caching Protocol (HTCP/0.0)
>   Security:
>     Optionally uses the MD5 shared secret authentication. Lack of
>     authentication option make protocol subject to attack.

	That confuses me.  Do you mean:

	Optionally uses HMAC-MD5 [RFC 2104] shared secret
	authentication.  Protocol is subject to attack if
	authentication is not used.

>   Deployment:

	HTCP is implemented in Squid, and the Web Gateway Interceptor I
	believe? (http://www.vix.com/vix/wgi.html)

Duane W.

---

From: Ingrid Melve <[email-masked]>
Date: Thu, 21 Oct 1999 11:29:46 +0200

TPACT needs to be replaced by NECP, and the information updated.  
Volunteers?  A name for NECP draft would also be appreciated

Ingrid
 (who did not like filling out names at http://www.netapp.com/necp )